Archives de juillet 2009

Erreur hal et policykit avec Ubuntu 8.04

A la suite d’une mise √† jour mais je ne sais plus laquelle ūüė• je me suis retrouv√© avec le paquet hal d√©configur√©. J’avais les erreurs suivantes :

Paramétrage de hal (0.5.11~rc2-1ubuntu8.3) ...
* Reloading system message bus config...                                                                         [ OK ]
polkit-read-auth-helper: needs to be setgid polkituser
polkit-auth: NotAuthorizedToReadAuthorizationsForOtherUsers: uid 0 is not authorized to read authorizations for uid 109 (requires org.freedesktop.policykit.read)
polkit-read-auth-helper: needs to be setgid polkituser
polkit-auth: NotAuthorizedToReadAuthorizationsForOtherUsers: uid 0 is not authorized to read authorizations for uid 109 (requires org.freedesktop.policykit.read)
dpkg : erreur de traitement de hal (--configure) :
le sous-processus post-installation script a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
hal

La r√©installation du paquet hal ne donnant rien, j’ai r√©solu le probl√®me ainsi :

aptitude reinstall policykit
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Construction de la base de données des étiquettes... Fait
Les paquets suivants seront R√ČINSTALL√ČS¬†:
policykit
Les paquets partiellement installés suivants seront configurés :
hal
0 paquets mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 51,2ko d'archives. Après dépaquetage, 0o seront utilisés.
√Čcriture de l'information d'√©tat √©tendu... Fait
Prendre :1 ftp://ftp.free.fr hardy/main policykit 0.7-2ubuntu7 [51,2kB]
51,2ko téléchargés en 0s (80,3ko/s)
(Lecture de la base de données... 316832 fichiers et répertoires déjà installés.)
Préparation du remplacement de policykit 0.7-2ubuntu7 (en utilisant .../policykit_0.7-2ubuntu7_i386.deb) ...
Dépaquetage de la mise à jour de policykit ...
Paramétrage de policykit (0.7-2ubuntu7) ...
Paramétrage de hal (0.5.11~rc2-1ubuntu8.3) ...
* Reloading system message bus config...                                                                         [ OK ]
* Starting Hardware abstraction layer hald                                                                              /usr/sbin/hald already running.
[ OK ]